stack-1.3.2: The Haskell Tool Stack

Copyright | (c) FPComplete.com, 2015
License | BSD3
Maintainer | Tim Dysinger <tim@fpcomplete.com>
Stability | experimental
Portability | POSIX
Safe Haskell | None
Language | Haskell2010

Stack.Types.Sig

Description

Synopsis

- newtype Signature = Signature ByteString
- data Fingerprint
- mkFingerprint :: Text -> Fingerprint
- data SigException
  - = GPGFingerprintException String
  - | GPGNotFoundException
  - | GPGSignException String
  - | GPGVerifyException String
  - | SigInvalidSDistTarBall
  - | SigNoProjectRootException
  - | SigServiceException String

# Documentation

newtype Signature #

A GPG signature.

Constructors

Signature ByteString |

Instances

Eq Signature # |
Methods (==) :: Signature -> Signature -> Bool # (/=) :: Signature -> Signature -> Bool #
Ord Signature # |
Methods compare :: Signature -> Signature -> Ordering # (<) :: Signature -> Signature -> Bool # (<=) :: Signature -> Signature -> Bool # (>) :: Signature -> Signature -> Bool # (>=) :: Signature -> Signature -> Bool # max :: Signature -> Signature -> Signature # min :: Signature -> Signature -> Signature #
Show Signature # |
Methods showsPrec :: Int -> Signature -> ShowS # show :: Signature -> String # showList :: [Signature] -> ShowS #

data Fingerprint #

The GPG fingerprint.

Instances

Eq Fingerprint # |
Methods (==) :: Fingerprint -> Fingerprint -> Bool # (/=) :: Fingerprint -> Fingerprint -> Bool #
Ord Fingerprint # |
Methods compare :: Fingerprint -> Fingerprint -> Ordering # (<) :: Fingerprint -> Fingerprint -> Bool # (<=) :: Fingerprint -> Fingerprint -> Bool # (>) :: Fingerprint -> Fingerprint -> Bool # (>=) :: Fingerprint -> Fingerprint -> Bool # max :: Fingerprint -> Fingerprint -> Fingerprint # min :: Fingerprint -> Fingerprint -> Fingerprint #
Show Fingerprint # |
Methods showsPrec :: Int -> Fingerprint -> ShowS # show :: Fingerprint -> String # showList :: [Fingerprint] -> ShowS #
IsString Fingerprint # |
Methods fromString :: String -> Fingerprint #
FromJSON Fingerprint # |
Methods parseJSON :: Value -> Parser Fingerprint # parseJSONList :: Value -> Parser [Fingerprint] #
ToJSON Fingerprint # |
Methods toJSON :: Fingerprint -> Value # toEncoding :: Fingerprint -> Encoding # toJSONList :: [Fingerprint] -> Value # toEncodingList :: [Fingerprint] -> Encoding #

mkFingerprint :: Text -> Fingerprint #

data SigException #

Exceptions

Constructors

GPGFingerprintException String |
GPGNotFoundException |
GPGSignException String |
GPGVerifyException String |
SigInvalidSDistTarBall |
SigNoProjectRootException |
SigServiceException String |

Instances

Show SigException # |
Methods showsPrec :: Int -> SigException -> ShowS # show :: SigException -> String # showList :: [SigException] -> ShowS #
Exception SigException # |
Methods toException :: SigException -> SomeException # fromException :: SomeException -> Maybe SigException # displayException :: SigException -> String #